<?php

namespace KupShop\GTMBundle\PageType;

use KupShop\CatalogBundle\View\SearchView;

class SearchPageType extends AbstractPageType
{
    /** @var SearchView */
    protected $view;

    public function getPageType(&$dataContainer)
    {
        $dataContainer->page->type = 'searchResult';
    }

    public static function getSupportedViews()
    {
        return [SearchView::class];
    }

    public function getPageData(&$dataContainer)
    {
    }
}
